<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/refreshButton"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_marginStart="@dimen/horizontalMargin"
        android:layout_marginEnd="@dimen/horizontalMargin"
        android:layout_marginBottom="@dimen/verticalMargin"
        android:background="@drawable/button_background"
        android:fontFamily="sans-serif-black"
        android:paddingHorizontal="@dimen/buttonHorizontalPadding"
        android:paddingVertical="@dimen/buttonVerticalPadding"
        android:text="@string/refreshButtonText"
        android:textColor="@android:color/white"
        android:textSize="@dimen/buttonTextSize"
        android:textStyle="bold"
        android:visibility="visible"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHeight_max="@dimen/buttonMaxHeight"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/statusTextView"
        tools:visibility="invisible" />

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/surveyButton"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_marginStart="@dimen/horizontalMargin"
        android:layout_marginEnd="@dimen/horizontalMargin"
        android:layout_marginBottom="@dimen/verticalMargin"
        android:background="@drawable/button_background"
        android:fontFamily="sans-serif-black"
        android:paddingHorizontal="@dimen/buttonHorizontalPadding"
        android:paddingVertical="@dimen/buttonVerticalPadding"
        android:text="@string/surveyButtonText"
        android:textColor="@android:color/white"
        android:textSize="@dimen/buttonTextSize"
        android:textStyle="bold"
        android:visibility="invisible"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHeight_max="@dimen/buttonMaxHeight"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/statusTextView"
        tools:visibility="visible" />

    <TextView
        android:id="@+id/statusTextView"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/horizontalMargin"
        android:layout_marginTop="16dp"
        android:layout_marginEnd="@dimen/horizontalMargin"
        android:text="@string/loadingText"
        android:textSize="@dimen/sectionDescriptionTextSize"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/assessmentTitle"
        tools:text="You're enrolled in C01 PR-LSAMP UPR-Rio Piedras, by UPR Río Piedras. So far, you have completed 0 out of 16 delivered surveys." />

    <TextView
        android:id="@+id/nextSurveyTextView"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/horizontalMargin"
        android:layout_marginEnd="@dimen/horizontalMargin"
        android:layout_marginBottom="24dp"
        android:textAlignment="center"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toTopOf="@+id/surveyButton"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.5"
        app:layout_constraintStart_toStartOf="parent"
        tools:text="Next survey in 2 days, 6 hours." />

    <TextView
        android:id="@+id/assessmentTitle"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/horizontalMargin"
        android:layout_marginTop="@dimen/verticalMargin"
        android:layout_marginEnd="@dimen/horizontalMargin"
        android:fontFamily="@font/cabin"
        android:text="@string/mainGreetingText"
        android:textColor="@color/textColor2"
        android:textSize="@dimen/sectionTitleTextSize"
        android:textStyle="bold"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>